
<template>
    <div class="layout">
        <div class="layout-top">
            <h4>Metagenomic analysis and data submission</h4>
            <div class="user-box" v-if="$root.user">
                <div>{{$root.user.username}}</div>
                <div><router-link to="/logout">Logout</router-link></div>
            </div>
            <div class="user-box" v-else>
                <router-link to="/login">Login</router-link>
            </div>
        </div>
        <div class="layout-main" v-if="$root.user">
            <b-nav tabs>
                <b-nav-item to="/explorer">Explorer</b-nav-item>
                <b-nav-item to="/requests">Requests</b-nav-item>
            </b-nav>
            <div class="main-content">

                <router-view name="before"></router-view>
                <keep-alive>
                    <router-view></router-view>
                </keep-alive>
                <router-view name="after"></router-view>

                <keep-alive>
                    <multipane class="s-explorer-box" v-if="split">
                        <router-view name="left"></router-view>
                    <multipane-resizer></multipane-resizer>
                        <router-view name="right"></router-view>
                    </multipane>
                </keep-alive>
            </div>
        </div>
        <div class="layout-login" v-if="$root.ready && !$root.user">
            Please, <router-link to="/login">login</router-link> to see your data.
        </div>
    </div>
</template>

<style>

.layout-top {
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    right: 0;
    height: 100px;
    color: #fff;
    background: #2196F3;
}

.layout-login,
.layout-main {
    position: absolute;
    overflow: auto;
    top: 100px;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 30px 50px;
}

.layout-login {
    top: 120px;
}


.layout-top h4 {
    padding: 35px 70px;
    margin-right: 300px;
}

.layout-top a {
    color: #fff;
}

.user-box {
    position: absolute;
    right: 20px;
    bottom: 20px;
    text-align: right;
}

.main-content {
    padding: 20px;
}


.s-explorer-box {
    position: absolute;
    top: 100px;
    bottom: 0px;
    left: 0px;
    right: 0px;
}

.s-explorer-pane {
    overflow: auto;
    padding: 0 50px;
}

.multipane.layout-v > div {
    z-index: auto;
}

.multipane.layout-v>.multipane-resizer {
    z-index: 3;
}

.multipane-resizer:hover {
    background: #eee;
}



</style>


<script>

var multipane = require('vue-multipane');

var components = {
    multipane: multipane.Multipane,
    multipaneResizer: multipane.MultipaneResizer
};


module.exports = {
    components: components,
    props: ['split']
};

</script>